Package org.eclipse.net4j.util.registry

## Class HashMapDelegatingRegistry<K,​V>

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.lifecycle.Lifecycle
    - - org.eclipse.net4j.util.lifecycle.ShareableLifecycle
      - - org.eclipse.net4j.util.container.Container<java.util.Map.Entry<K,​V>>
        - - org.eclipse.net4j.util.registry.Registry<K,​V>
          - - org.eclipse.net4j.util.registry.DelegatingRegistry<K,​V>
            - - org.eclipse.net4j.util.registry.HashMapDelegatingRegistry<K,​V>

- All Implemented Interfaces:
    `java.util.Map<K,​V>`, `IContainer<java.util.Map.Entry<K,​V>>`, `INotifier`, `INotifier.INotifier2`, `IDeactivateable`, `ILifecycle`, `ILifecycle.DeferrableActivation`, `IRegistry<K,​V>`

      public class HashMapDelegatingRegistry<K,​V>
      extends DelegatingRegistry<K,​V>

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.registry.Registry

      `Registry.Transaction`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `ILifecycle.DeferrableActivation`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `INotifier.INotifier2`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K extends java.lang.Object,​V extends java.lang.Object>`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `USE_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HashMapDelegatingRegistry​(IRegistry<K,​V> delegate)` |
    `HashMapDelegatingRegistry​(IRegistry<K,​V> delegate, int initialCapacity)` |
    `HashMapDelegatingRegistry​(IRegistry<K,​V> delegate, int initialCapacity, float loadFactor)` |
    `HashMapDelegatingRegistry​(IRegistry<K,​V> delegate, java.util.Map<? extends K,​? extends V> m)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.util.Map<K,​V>` | `getMap()` |

    - ### Methods inherited from class org.eclipse.net4j.util.registry.DelegatingRegistry

      `deregister, entrySet, get, keySet, mergedEntrySet, mergedKeySet, mergedValues, register, values`

    - ### Methods inherited from class org.eclipse.net4j.util.registry.Registry

      `autoCommit, clear, commit, commit, containsKey, containsValue, getElements, getTransaction, isAutoCommit, isEmpty, put, putAll, remove, setAutoCommit, size, toString`

    - ### Methods inherited from class org.eclipse.net4j.util.container.Container

      `fireContainerEvent, fireContainerEvent, fireContainerEvent, fireElementAddedEvent, fireElementRemovedEvent, fireElementsAddedEvent, fireElementsRemovedEvent, fireEvent, newContainerEvent, newContainerEvent`

    - ### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doActivate, doAfterActivate, doBeforeActivate, doBeforeDeactivate, doDeactivate, dump, getLifecycleState, isActive, isDeferredActivation`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, addUniqueListener, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### HashMapDelegatingRegistry

          public HashMapDelegatingRegistry​(IRegistry<K,​V> delegate)

    - #### HashMapDelegatingRegistry

          public HashMapDelegatingRegistry​(IRegistry<K,​V> delegate,
                                           int initialCapacity)

    - #### HashMapDelegatingRegistry

          public HashMapDelegatingRegistry​(IRegistry<K,​V> delegate,
                                           int initialCapacity,
                                           float loadFactor)

    - #### HashMapDelegatingRegistry

          public HashMapDelegatingRegistry​(IRegistry<K,​V> delegate,
                                           java.util.Map<? extends K,​? extends V> m)

  - ### Method Detail

    - #### getMap

          protected java.util.Map<K,​V> getMap()

      Specified by:
        `getMap` in class `Registry<K,​V>`